<?php

namespace App\Events;

use Illuminate\Queue\SerializesModels;
use Illuminate\Foundation\Events\Dispatchable;
use Illuminate\Broadcasting\InteractsWithSockets;
use Illuminate\Contracts\Broadcasting\ShouldBroadcast;

class NotifikasiKelulusan implements ShouldBroadcast
{
  use Dispatchable, InteractsWithSockets, SerializesModels;

  public $norujukan,$kelulusan,$siri,$komen;

  public function __construct($norujukan,$kelulusan,$siri,$komen)
  {
      $this->norujukan = $norujukan;
      $this->kelulusan = $kelulusan;
      $this->siri = $siri;
      $this->komen = $komen;
  }

  public function broadcastOn()
  {
    return ['notice-kelulusan'];
  }

  public function broadcastAs()
  {
    return 'my-kelulusan';
  }
}